@echo off
:: A simple script to set a Windows CMD shell environment for the GDAL Utilities 
:: It will also work from removable media (e.g. a USB thumbdrive or cdrom)

if not %cmdextversion% GEQ 2 goto :WrongCmd

:Main
	cls & echo.
	rem " %~dp0 " is the drive & path to the current batch file ( minus the batch file name)
	set GDAL_BIN=%~dp0bin
	set GDAL_DATA=%~dp0data

	rem Add GDAL bin directory to path and make sure gdal is there.
	for %%a in (gdalinfo.exe) do (
		if [%%~dp$PATH:a]==[] path=%GDAL_BIN%;%PATH%
		)
	gdalinfo --version || goto :NotFound	
	
	rem List available commands
	echo. & echo Available commands are: & echo.
	dir /d %GDAL_BIN%\*.exe |find ".exe"

	rem We don't need this variable anymore, so delete it.
	set GDAL_BIN=
	goto :EOF

:WrongCmd
	echo.
	echo Sorry, this script requires CMD.exe with extension
	echo version 2 or above (Windows 2000 or later)
	echo.
	echo Yours appears to be: %CMDEXTVERSION%
	echo.
	goto :EOF

:NotFound
	echo.
	echo Sorry, I can't find GDAL Utilities
	echo.
